carrito/urls.py
from django.urls import path
from . import views

app_name = 'carrito'

urlpatterns = [
    path('', views.detalle_carrito, name='detalle_carrito'),
    path('add/<obra_id>/', views.agregar_obra_carrito, name='agregar_obra_carrito'),
    path('remove/<obra_id>/', views.eliminar_obra_carrito, name='eliminar_obra_carrito'),
]

symbiarts/urls.py
from django.contrib import admin
from django.urls import path, include
from django.contrib.auth import views as auth_views
from cuentas import views as cuentas_views
from django.conf.urls import url
from . import settings
from django.contrib.staticfiles.urls import static
from django.contrib.staticfiles.urls import staticfiles_urlpatterns


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('symbiarts_app.urls')),
    path('carrito/', include('carrito.urls')),
    path('signup/', cuentas_views.signup, name='signup'),
    path('login/', auth_views.LoginView.as_view(
         template_name='login.html'), name='login'),
    path('logout/', auth_views.LogoutView.as_view(
         next_page='/'), name='logout'),
    path('mi_cuenta/', cuentas_views.UserUpdateView.as_view(),
         name='my_account'),

    url(r'^reset/$',
        auth_views.PasswordResetView.as_view(
            template_name='password_reset.html',
            email_template_name='password_reset_email.html',
            subject_template_name='password_reset_subject.txt'
        ),
        name='password_reset'),
    url(r'^reset/done/$',
        auth_views.PasswordResetDoneView.as_view(
            template_name='password_reset_done.html'),
        name='password_reset_done'),
    url(r'^reset/(?P<uidb64>[0-9A-Za-z_\-]+)/(?P<token>[0-9A-Za-z]{1,13}-[0-9A-Za-z]{1,20})/$',
        auth_views.PasswordResetConfirmView.as_view(
            template_name='password_reset_confirm.html'),
        name='password_reset_confirm'),
    url(r'^reset/complete/$',
        auth_views.PasswordResetCompleteView.as_view(
            template_name='password_reset_complete.html'),
        name='password_reset_complete'),

    path('cambiar_password/', auth_views.PasswordChangeView.as_view(
        template_name='password_change.html'),
        name='cambiar_password'),
    path('cambiar_password/exitosa/',
         auth_views.PasswordChangeDoneView.as_view(
            template_name='password_change_done.html'),
         name='password_change_done'),
]

urlpatterns += staticfiles_urlpatterns()
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

symbiarts_app/urls.py
from django.urls import path

from . import views

app_name = 'symbiarts_app'
urlpatterns = [
    path('', views.lista_obras, name='lista_obras'),
    path('buscar/', views.buscar_obras, name='buscar_obras'),
    path('categoria/<str:nombre_categoria>', views.lista_obras_categoria,
         name='lista_obras_categoria'),
    path('obra/<int:obra_id>/compra/', views.orquestar_compra_carrito,
         name='orquestar_compra_carrito'),
    path('obra/<int:obra_id>/compra/confirmar', views.grabar_compra,
         name='grabar_compra'),
    path('compra_exitosa/<int:nro_compra>',
         views.compra_exitosa, name='compra_exitosa'),
    path('carrito/comprar', views.comprar_carrito, name='comprar_carrito'),
    path('carrito/comprar/confirmar', views.grabar_compra_carrito,
         name='grabar_compra_carrito'),
    path('obra/<int:pk>/editar/', views.editar_obra, name='editar_obra'),
    path('obra/<int:pk>/', views.detalle_obra, name='detalle_obra'),
    path('obra/nueva', views.nueva_obra, name='nueva_obra'),
    path('obra/<int:pk>/pausar/', views.pausar_obra, name='pausar_obra'),
    path('obra/<int:pk>/activar/', views.activar_obra,
         name='activar_obra'),
    path('obra/<int:pk>/comentar/', views.nuevo_comentario,
         name='nuevo_comentario'),
    path('compras/', views.lista_compras, name='lista_compras'),
    path('compra/<int:compra_id>/', views.detalle_compra,
         name='detalle_compra'),
    path('ventas/', views.lista_ventas, name='lista_ventas'),
    path('venta/<int:venta_id>/', views.detalle_venta,
         name='detalle_venta'),
    path('comentario/<int:pk>/eliminar/', views.eliminar_comentario,
         name='eliminar_comentario'),
    path('mis_obras/', views.mis_obras, name='mis_obras'),
]

symbiarts_app/models.py
from decimal import Decimal
from django.db import models
from django.contrib.auth.models import User
from django.utils import timezone


class Categoria(models.Model):
    nombre = models.CharField(max_length=50, unique=True)
    descripcion = models.TextField(max_length=200, blank=True)

    def __str__(self):
        return self.nombre


class Obra(models.Model):
    # Debe ser no nulo y único.
    nombre = models.CharField(max_length=50, unique=True)

    # Debe ser no nulo.
    artista = models.ForeignKey(User, on_delete=models.CASCADE)

    # Debe ser no nulo y seleccionarse de las cargadas en el sistema.
    categoria = models.ForeignKey(Categoria, on_delete=models.CASCADE)

    descripcion = models.TextField(max_length=300)

    stock = models.IntegerField(default=0, null=True, blank=True)

    # Debe ser no nulo y tener el formato DD/MM/AAAA
    fecha_publicacion = models.DateField(default=timezone.now)

    # Debe ser no nulo.
    estados_obra = [
        ('D', 'Denunciada'),
        ('N', 'Normal'),
    ]
    estado = models.CharField(
        max_length=15,
        choices=estados_obra,
        default='N')

    dimensiones = models.CharField(max_length=200, blank=True)

    precio = models.DecimalField(
        max_digits=6,
        decimal_places=2,
        null=True,
        blank=True)

    # Debe ser no nulo y seleccionarse de los cargados en el sistema.
    tipos_obra = [
        ('AS', 'ArtSale'),
        ('AW', 'ArtWork'),
    ]
    tipo = models.CharField(
        max_length=15,
        choices=tipos_obra,
        default='AW')

    pausada = models.BooleanField(default=False)

    fecha_pausada = models.DateTimeField(default=None, null=True, blank=True)

    # tags

    def obtener_stock(self):
        return self.stock

    def obtener_cantidad_ventas_obra(self):
        cantidad_obras = 0
        for detalle in DetalleVentaObra.objects.filter(obra_id=self.id):
            cantidad_obras += detalle.cantidad_obra
        return cantidad_obras

    def __str__(self):
        return self.nombre


class ObraArchivo(models.Model):
    # Debe ser no nulo y pude ser mas de uno
    obra = models.ForeignKey(
        Obra, on_delete=models.CASCADE, related_name='archivos')
    archivo = models.FileField(upload_to='archivos/')


class Comentario(models.Model):
    obra = models.ForeignKey(
        Obra, on_delete=models.CASCADE, related_name='comentarios')
    usuario = models.ForeignKey(User, on_delete=models.CASCADE)
    texto = models.TextField(max_length=200)
    fecha = models.DateTimeField(default=timezone.now)

    def __str__(self):
        return self.texto


class VentaObra(models.Model):
    cliente = models.ForeignKey(User, on_delete=models.SET_NULL, null=True)
    metodo_pago = models.TextField(max_length=200)
    fecha = models.DateTimeField(default=timezone.now)
    id_pago = models.BigIntegerField()

    def cantidad_obras(self):
        return sum(
            detalle['cantidad_obra']
            for detalle in self.detalle_venta_obra.values()
            )

    def precio_total(self):
        return sum(
            Decimal(detalle['precio_obra'] * detalle['cantidad_obra'])
            for detalle in self.detalle_venta_obra.values()
            )

    def obtener_img_venta_artista(self, artista_id):
        for detalle in self.detalle_venta_obra.values():
            if artista_id == detalle['obra_artista_id']:
                return detalle

    def __str__(self):
        return "Venta {}".format(self.pk)


class DetalleVentaObra(models.Model):
    venta_obra = models.ForeignKey(
        VentaObra, on_delete=models.CASCADE, related_name='detalle_venta_obra')
    precio_obra = models.DecimalField(
        max_digits=6,
        decimal_places=2)
    cantidad_obra = models.IntegerField()
    obra_id = models.IntegerField()
    obra_nombre = models.CharField(max_length=50)
    obra_url_imagen = models.CharField(max_length=100)
    obra_artista = models.ForeignKey(User, on_delete=models.CASCADE)

    def precio_total(self):
        return self.precio_obra * self.cantidad_obra

    def __str__(self):
        return "Detalle {}".format(self.pk)

carrito/forms.py
from django import forms


class FormAgregarObraCarrito(forms.Form):
    def __init__(self, *args, **kwargs):
        stock = kwargs.pop('stock')
        lista_stock = [(i, str(i)) for i in range(1, stock+1)]
        super(FormAgregarObraCarrito, self).__init__(*args, **kwargs)
        self.fields['cantidad'] = forms.TypedChoiceField(
            choices=lista_stock, coerce=int)

    cantidad = forms.TypedChoiceField()

    actualizar_cantidad = forms.BooleanField(
        required=False, initial=False, widget=forms.HiddenInput)

    accion = forms.CharField(widget=forms.HiddenInput, required=False)

symbiarts_app/forms.py
from django import forms

from .models import Comentario, Obra, ObraArchivo


class FormObra(forms.ModelForm):
    class Meta:
        model = Obra
        fields = (
            'nombre',
            'categoria',
            'descripcion',
            'stock',
            'estado',
            'dimensiones',
            'precio',
            'tipo',)

    def clean(self):
        cleaned_data = super().clean()
        tipo = cleaned_data.get("tipo")
        precio = cleaned_data.get("precio")
        stock = cleaned_data.get("stock")

        if tipo == 'AS':
            if not precio or precio <= 0:
                self.add_error("precio",
                               "Ingresar correctamente el precio de la obra!")
            if stock <= 0:
                self.add_error("stock",
                               "Ingresar correctamente el stock de la obra!")


class FormObraArchivos(forms.ModelForm):
    class Meta:
        model = ObraArchivo
        fields = ['archivo']
        widgets = {
            'archivo': forms.ClearableFileInput(
                attrs={'multiple': True, 'required': True}),
        }


class FormComentario(forms.ModelForm):
    class Meta:
        model = Comentario
        fields = ['texto']
        widgets = {
          'texto': forms.Textarea(attrs={'rows': 2}),
        }


class FormBuscar(forms.Form):
    cadena = forms.CharField(max_length=50)

symbiarts_app/templates/symbiarts_app/compra_exitosa.html
{% extends 'symbiarts_app/base.html' %}
{% load static %}
{% block title %}Tienda Symbiarts - Compra exitosa!{% endblock %}

{% block content %}
    <div class="jumbotron text-xs-center mt-3">
        <h1 class="display-3">¡Gracias por comprar en Symbiarts!</h1>
        <h3>Tu numero de compra es: #{{ nro_compra }}</h3>
        <p class="lead">
            <strong>Revisá tu email,</strong> te enviamos el resumen de tu compra con tu comprobante.
        </p>
        <hr>
        <p class="lead">
            <a class="btn btn-primary" href="{% url 'symbiarts_app:lista_obras' %}" role="button"><i class="fas fa-store"></i> Volver a la tienda</a>
            <a class="btn btn-primary" href="{% url 'symbiarts_app:lista_compras' %}"><i class="fas fa-book"></i> Ir a compras</a>
        </p>
    </div>
{% endblock %}

symbiarts_app/templates/symbiarts_app/detalle_obra.html
{% extends 'symbiarts_app/base.html' %}
{% load static %}
{% block title %}Tienda Symbiarts{% endblock %}

{% block navbar %}
    {% include 'symbiarts_app/navbar.html' %}
{% endblock %}

{% load humanize %}
{% load gravatar %}
{% load bootstrap4 %}
{% bootstrap_javascript jquery='full' %}

{% block content %}
    <div class="shadow card mt-3">
        {% if obra.pausada == True %}
            <div class="card-header">
                <h4 class="card-subtitle mb-2 text-muted"><i class="fas fa-exclamation-circle"></i> Publicación pausada {{ obra.fecha_pausada|naturaltime }}</h4>
            </div>
        {% endif %}
        <div class="row p-3">
            <div class="col-8">
                <div id="myCarousel" class="carousel">
                    <!-- main slider carousel items -->
                    <div class="carousel-inner">
                        {% for archivo_obra in archivos_obra %}
                            {% if forloop.first %}
                                <div class="active carousel-item" data-slide-number="{{ forloop.counter0 }}">
                            {% else %}
                                <div class="carousel-item" data-slide-number="{{ forloop.counter0 }}">
                            {% endif %}
                            <img src="{{ archivo_obra.archivo.url }}" class="img-responsive mx-auto d-block" height="350">
                            </div>
                        {% endfor %}

                        <a class="carousel-control-prev" href="#myCarousel" role="button" data-slide="prev">
                            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                            <span class="sr-only">Previous</span>
                        </a>
                        <a class="carousel-control-next" href="#myCarousel" role="button" data-slide="next">
                            <span class="carousel-control-next-icon" aria-hidden="true"></span>
                            <span class="sr-only">Next</span>
                        </a>
                    </div>
                    <!-- main slider carousel nav controls -->
                    <ul class="carousel-indicators list-inline mx-auto">
                        {% for archivo_obra in archivos_obra %}
                            {% if forloop.first %}
                                <li class="list-inline-item active align-self-center">
                                <a id="carousel-selector-{{ forloop.counter0 }}" class="selected" data-slide-to="{{ forloop.counter0 }}" data-target="#myCarousel">
                            {% else %}
                                <li class="list-inline-item align-self-center">
                                <a id="carousel-selector-{{ forloop.counter0 }}" data-slide-to="{{ forloop.counter0 }}" data-target="#myCarousel">
                            {% endif %}
                            <img src="{{ archivo_obra.archivo.url }}" class="img-thumbnail mx-auto d-block" height="70" width="70">
                            </a>
                            </li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
            <div class="detalle_comprar col-4">
                <h1>{{ obra.nombre }}</h1>
                {% if obra.fecha_publicacion %}
                    <div class="mt-2">
                        {% if obra.tipo == 'AS' %}
                            <p class="text-muted">En venta desde el {{ obra.fecha_publicacion }}</p>
                        {% else %}
                            <p class="text-muted">Publicada el {{ obra.fecha_publicacion }}</p>
                        {% endif %}
                    </div>
                {% endif %}
                {% if obra.precio and obra.tipo == 'AS' %}
                    <p class="display-4">${{ obra.precio }}</p>
                {% endif %}
                {% if obra.artista == user %}
                    <div class="row">
                        {% if obra.tipo == 'AS' %}
                            <div class="col pr-md-0 mr-md-1">
                                {% if obra.pausada == True %}
                                    <a class="btn btn-outline-success btn-block mb-2" href="{% url 'symbiarts_app:activar_obra' pk=obra.pk %}"><i class="fas fa-play-circle"></i> Activar</a>
                                {% else %}
                                    <a class="btn btn-outline-danger btn-block mb-2" href="{% url 'symbiarts_app:pausar_obra' pk=obra.pk %}"><i class="fas fa-pause-circle"></i> Pausar</a>
                                {% endif %}
                            </div>
                        {% endif %}
                        <div class="col pl-md-0 ml-md-1">
                            <a class="btn btn-outline-primary btn-block" href="{% url 'symbiarts_app:editar_obra' pk=obra.pk %}"><i class="fas fa-edit"></i> Editar</a>
                        </div>
                    </div>
                {% endif %}
                {% if obra.pausada == False and obra.artista != user and obra.tipo == 'AS' %}
                    <form class="form" action="{% url 'symbiarts_app:orquestar_compra_carrito' obra.id %}" method="post">
                        {% csrf_token %}
                        {% bootstrap_messages %}
                        {% bootstrap_form_errors formCarrito %}
                        <div class="row">
                            <div class="col-sm-4 mr-sm-1 col-md-3 col-lg-2 mr-lg-2 mr-xl-0">
                                <label class="pt-2" for="id_cantidad">Cantidad</label>
                            </div>
                            <div class="col select_cantidad">
                                {% bootstrap_field formCarrito.cantidad show_label=False %}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6 pr-lg-1 mb-2">
                                <button type="submit" class="btn btn-outline-primary btn-block" name="accion" value="agregar_al_carrito"><i class="fas fa-shopping-cart"></i> Agregar al carrito</button>
                            </div>
                            <div class="col-lg-6 pl-lg-1">
                                <button type="submit" class="btn btn-outline-success btn-block" name="accion" value="comprar"><i class="fas fa-dollar-sign"></i> Comprar</button>
                            </div>
                        </div>
                    </form>
                {% endif %}
            </div>
        </div>
        <div class="card-footer">
            {% if obra.categoria %}
                <h5 class="mt-3">Categoria: <span class="small">{{ obra.categoria }}</span></h5>
            {% endif %}
            <h5 class="mt-3">Descripcion: <span class="small">{{ obra.descripcion|linebreaksbr }}</span></h5>
            {% if obra.dimensiones %}
                <h5 class="mt-3">Dimensiones: <span class="small">{{ obra.dimensiones }}</span></h5>
            {% endif %}
            {% if obra.tipo %}
                <h5 class="mt-3">Tipo: <span class="small">{{ obra.get_tipo_display }}</span></h5>
            {% endif %}
        </div>
    </div>
    <hr>
    {% include 'symbiarts_app/nuevo_comentario.html' %}
    <hr>
    <h4 class="text-white mb-3">Ultimos comentarios</h4>
    {% for comentario in comentarios %}
        <div class="shadow card mb-3">
            <div class="comment">
                <div class="date">
                    <div class="row">
                        <div class="col-8">
                            <img src="{{ comentario.usuario|gravatar }}" alt="{{ comentario.usuario }}" class="w-40 rounded float-left">
                            <p class="float-left ml-2">{{ comentario.texto}}</p>
                        </div>
                        <div class="col-4 text-right">
                            {{ comentario.fecha|naturaltime }}
                            {% if comentario.usuario == user %}
                                <a href="{% url 'symbiarts_app:eliminar_comentario' pk=comentario.pk %}" class="btn btn-danger ml-1"><i class="far fa-trash-alt"></i></a>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    {% empty %}
        <p class="text-white"><i class="far fa-sad-tear"></i> Aún no hay comentarios</p>
    {% endfor %}

    {% include 'symbiarts_app/paginator.html' with paginator=comentarios %}
{% endblock %}

symbiarts_app/templates/symbiarts_app/lista_compras.html
{% extends 'symbiarts_app/base.html' %}
{% load static %}
{% block title %}Tienda Symbiarts - Compras{% endblock %}

{% block navbar %}
    {% include 'symbiarts_app/navbar.html' %}
{% endblock %}

{% load humanize %}

{% block content %}
    <ul class="list-group mt-3">
        <h2 class="text-white">Compras</h2>
        {% for compra in compras %}
            <li class="list-group-item lista_compras rounded">
                <div class="row">
                    <div class="col">
                        <h4>Compraste {{ compra.fecha|naturaltime }}
                            <span>
                                <a href="{% url 'symbiarts_app:detalle_compra' compra_id=compra.id %}" class="btn btn-primary float-right"><i class="fas fa-file-alt"></i> Detalle</a>
                            </span>
                        </h4>
                    </div>
                </div>
                <div class="row p-3">
                    <div class="col-2">
                        {% with detalle=compra.detalle_venta_obra.first %}
                            {% if detalle.obra_url_imagen %}
                                <img src="{{ detalle.obra_url_imagen }}" class="img-fluid" alt="{{ detalle.obra_nombre }}">
                            {% else %}
                                <img src="{% static 'img/default.svg' %}" class="img-fluid" alt="{{ detalle.obra_nombre }}">
                            {% endif %}
                        {% endwith %}
                    </div>
                    <div class="col">
                        {% for detalle in compra.detalle_venta_obra.all %}
                            <div class="row">
                                <div class="col">
                                    {% if detalle.obra_id > 0 %}
                                        <p class="mb-0"><a href="{% url 'symbiarts_app:detalle_obra' pk=detalle.obra_id %}">{{ detalle.obra_nombre }}</a></p>
                                    {% else %}
                                        <p>Ups <i class="far fa-sad-tear"></i> esta obra fue eliminada</p>
                                    {% endif %}
                                    {% if detalle.cantidad_obra == 1 %}
                                        <p>Total: ${{ detalle.precio_total }} ({{ detalle.cantidad_obra }} unidad)</p>
                                    {% else %}
                                        <p>Total: ${{ detalle.precio_total }} ({{ detalle.cantidad_obra }} unidades)</p>
                                    {% endif %}
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                    <div class="col">
                        {% for detalle in compra.detalle_venta_obra.all %}
                            <div class="row">
                                <i class="fas fa-user-circle fa-3x"></i>
                                <div class="col pl-2">
                                    <p class="font-weight-bold mb-0">Vendedor</p>
                                    <p>{{ detalle.obra_artista }}</p>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            </li>
        {% empty %}
            <div class="jumbotron text-xs-center">
                <h2 class="display-4">Aún no has realizado ninguna compra.</h2>
                <a class="btn btn-primary" href="{% url 'symbiarts_app:lista_obras' %}" role="button"><i class="fas fa-store"></i> Comprá tu primer obra</a>
            </div>
        {% endfor %}
    </ul>

    {% include 'symbiarts_app/paginator.html' with paginator=compras %}

{% endblock %}

symbiarts_app/templates/symbiarts_app/lista_ventas.html
{% extends 'symbiarts_app/base.html' %}
{% load static %}
{% block title %}Tienda Symbiarts - Ventas{% endblock %}

{% block navbar %}
    {% include 'symbiarts_app/navbar.html' %}
{% endblock %}

{% load humanize %}
{% load model_tags %}

{% block content %}
    <ul class="list-group mt-3">
        <h2 class="text-white">Ventas</h2>
        {% for venta in ventas %}
            <li class="list-group-item lista_compras rounded">
                <div class="row">
                    <div class="col">
                        <h4>Vendiste {{ venta.fecha|naturaltime }}
                            <span>
                                <a href="{% url 'symbiarts_app:detalle_venta' venta_id=venta.id %}" class="btn btn-primary float-right"><i class="fas fa-file-alt"></i> Detalle</a>
                            </span>
                        </h4>
                    </div>
                </div>
                <div class="row p-3">
                    <div class="col-2">
                        {% obtener_img_venta_artista venta user.id as detalle_venta %}
                        {% if detalle_venta.obra_url_imagen %}
                            <img src="{{ detalle_venta.obra_url_imagen }}" class="img-fluid" alt="{{ detalle_venta.obra_nombre }}">
                        {% else %}
                            <img src="{% static 'img/default.svg' %}" class="img-fluid" alt="{{ detalle_venta.obra_nombre }}">
                        {% endif %}
                    </div>
                    <div class="col">
                        {% for detalle in venta.detalle_venta_obra.all %}
                            {% if detalle.obra_artista == user %}
                                <div class="row">
                                    <div class="col">
                                        {% if detalle.obra_id > 0 %}
                                            <p class="mb-0"><a href="{% url 'symbiarts_app:detalle_obra' pk=detalle.obra_id %}">{{ detalle.obra_nombre }}</a></p>
                                        {% else %}
                                            <p>Ups <i class="far fa-sad-tear"></i> esta obra fue eliminada</p>
                                        {% endif %}
                                        {% if detalle.cantidad_obra == 1 %}
                                            <p>Total: ${{ detalle.precio_total }} ({{ detalle.cantidad_obra }} unidad)</p>
                                        {% else %}
                                            <p>Total: ${{ detalle.precio_total }} ({{ detalle.cantidad_obra }} unidades)</p>
                                        {% endif %}
                                    </div>
                                </div>
                            {% endif %}
                        {% endfor %}
                    </div>
                    <div class="col">
                        <div class="row">
                            <i class="fas fa-user-circle fa-3x"></i>
                            <div class="col pl-2">
                                <p class="font-weight-bold mb-0">Comprador</p>
                                <p>{{ venta.cliente }}</p>
                            </div>
                        </div>
                    </div>
                </div>
            </li>
        {% empty %}
            <div class="jumbotron text-xs-center">
                <h2 class="display-4">Aún no has realizado ninguna venta.</h2>
                <a class="btn btn-primary" href="{% url 'symbiarts_app:lista_obras' %}" role="button"><i class="fas fa-store"></i> Volver a la tienda</a>
                <a class="btn btn-success" href="{% url 'symbiarts_app:nueva_obra' %}" role="button"><i class="fas fa-dollar-sign"></i> Vendé tu primer obra</a>
            </div>
        {% endfor %}
    </ul>

    {% include 'symbiarts_app/paginator.html' with paginator=ventas %}

{% endblock %}

symbiarts_app/templates/symbiarts_app/mis_obras.html
{% extends 'symbiarts_app/base.html' %}
{% load static %}
{% block title %}Tienda Symbiarts - Mis Obras{% endblock %}

{% block navbar %}
    {% include 'symbiarts_app/navbar.html' %}
{% endblock %}

{% load humanize %}
{% load model_tags %}

{% block content %}

    <ul class="list-group mt-3">
        <h3 class="text-white">Mis Obras</h3>
        {% for obra in obras %}
            <li class="list-group-item mb-3 rounded">
                <div class="row">
                    <div class="col">
                        <h5>
                            <a href="{% url 'symbiarts_app:detalle_obra' pk=obra.pk %}">{{ obra.nombre }}</a>
                            {% if obra.fecha_publicacion %}
                                <small class="text-muted">publicada el {{ obra.fecha_publicacion }}</small>
                            {% endif %}
                        </h5>
                    </div>
                </div>
                <div class="row p-2">
                    <div class="col-3">
                        {% with archivo_obra=obra.archivos.first %}
                            {% if archivo_obra.archivo.url %}
                                <img src="{{ archivo_obra.archivo.url }}" class="img-fluid" alt="{{ obra.nombre }}">
                            {% else %}
                                <img src="{% static 'img/default.svg' %}" class="img-fluid" alt="{{ obra.nombre }}">
                            {% endif %}
                        {% endwith %}
                    </div>
                    <div class="col">
                        <div class="row">
                            <div class="col">
                                <p>Obras vendidas: <b>{% obtener_cantidad_ventas_obra obra %}</b></p>
                                {% if obra.stock %}
                                    <p>Stock: <b>{{ obra.stock }}</b></p>
                                {% endif %}
                                {% if obra.precio  %}
                                    <p>Precio: <b>${{ obra.precio }}</b></p>
                                {% endif %}
                                {% if obra.categoria %}
                                    <p>Categoria: <b>{{ obra.categoria }}</b></p>
                                {% endif %}
                                {% if obra.tipo %}
                                    <p>Tipo: <b>{{ obra.get_tipo_display }}</b></p>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    <div class="col col-md-2">
                        <p>
                            <a class="btn btn-outline-primary btn-block" href="{% url 'symbiarts_app:editar_obra' pk=obra.pk %}"><i class="fas fa-edit"></i> Editar</a>
                        </p>
                        {% if obra.tipo == 'AS' %}
                            <p>
                                {% if obra.pausada == True %}
                                    <a class="btn btn-outline-success btn-block" href="{% url 'symbiarts_app:activar_obra' pk=obra.pk %}"><i class="fas fa-play-circle"></i> Activar</a>
                                {% else %}
                                    <a class="btn btn-outline-danger btn-block" href="{% url 'symbiarts_app:pausar_obra' pk=obra.pk %}"><i class="fas fa-pause-circle"></i> Pausar</a>
                                {% endif %}
                            </p>
                        {% endif %}
                    </div>
                </div>
            </li>
        {% empty %}
            <div class="jumbotron text-xs-center">
                <h2 class="display-4">Aún no has publicado ninguna obra.</h2>
                <a class="btn btn-primary" href="{% url 'symbiarts_app:nueva_obra' %}" role="button"><i class="fas fa-dollar-sign"></i> Publicá tu primer obra</a>
            </div>
        {% endfor %}
    </ul>

    {% include 'symbiarts_app/paginator.html' with paginator=obras %}

{% endblock %}